GIMP Library Reference Manual
<<< Previous Page | Home | Up | Next Page >>>

# parasiteio

## Name

parasiteio --

## Synopsis

    #define     PIXPIPE_MAXDIM
    typedef     PixPipeParams;
    void        pixpipeparams_init              (PixPipeParams *params);
    void        pixpipeparams_parse             (gchar *parameters,
                                                 PixPipeParams *params);
    gchar*      pixpipeparams_build             (PixPipeParams *params);

## Description

## Details

### PIXPIPE_MAXDIM

    #define PIXPIPE_MAXDIM 4

### PixPipeParams

    typedef struct {
      gint step;
      gint ncells;
      gint dim;
      gint cols;
      gint rows;
      gint cellwidth;
      gint cellheight;
      gchar *placement;
      gboolean free_placement_string;
      gint rank[PIXPIPE_MAXDIM];
      gchar *selection[PIXPIPE_MAXDIM];
      gboolean free_selection_string;
    } PixPipeParams;

### pixpipeparams_init ()

    void        pixpipeparams_init              (PixPipeParams *params);

`params` : |

### pixpipeparams_parse ()

    void        pixpipeparams_parse             (gchar *parameters,
                                                 PixPipeParams *params);

`parameters` : |
`params` : |

### pixpipeparams_build ()

    gchar*      pixpipeparams_build             (PixPipeParams *params);

`params` : |
Returns : |

<<< Previous Page | Home | Up | Next Page >>>
gimpenv | gimpcompat